<launch> 
    <arg name="model" default="$(find testbot_description)/urdf/manipulator.urdf.xacro" />
    <arg name="gui" default="true" />
    
    <param name="robot_description" command="xacro $(arg model)" />
    <param name="use_gui" value="$(arg gui)"/>
    
    <node pkg="joint_state_publisher" type="joint_state_publisher" name="joint_state_publisher"/>
    <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher">
        <param name="publish_frequency" type="double" value="30.0" />
    </node>

    <node pkg="rviz" type="rviz" name="rviz" args="-d $(find testbot_description)/rviz/testbot.rviz" />
</launch>